Kea: isc::radius::RadiusAuthStatus Class Reference

| Kea 3.2.0-git

isc::radius::RadiusAuthStatus Class Reference

Class for communication with access servers. More...

`#include <radius_status.h>`

Inheritance diagram for isc::radius::RadiusAuthStatus:
[legend]

## Public Member Functions
| RadiusAuthStatus (const AttributesPtr &send_attrs, const CallbackStatus &handler)
| Constructor.
virtual | ~RadiusAuthStatus ()=default
| Destructor.
virtual void | start () override
| Start communication.
Public Member Functions inherited from isc::radius::RadiusStatus
| RadiusStatus ()
| Constructor.
virtual | ~RadiusStatus ()=default
| Destructor.
ExchangePtr | getExchange ()
| Get the exchange.
int | getRC () const
| Get the error code.
AttributesPtr | getReqAttrs () const
| Get request attributes.
AttributesPtr | getRespAttrs () const
| Get response attributes.

## Static Public Member Functions
static void | invokeCallback (const CallbackStatus &callback, const ExchangePtr exchange)
| Invoke access status callback.

## Additional Inherited Members
Protected Attributes inherited from isc::radius::RadiusStatus
ExchangePtr | exchange_
| Exchange.

## Detailed Description

Class for communication with access servers.

Only the asynchronous variant is defined.

Definition at line 87 of file radius_status.h.

## Constructor & Destructor Documentation

## ◆ RadiusAuthStatus()

isc::radius::RadiusAuthStatus::RadiusAuthStatus | ( | const AttributesPtr & | send_attrs,
|  | const CallbackStatus & | handler )

Constructor.

Parameters

  send_attrs | Attributes to send.
  handler | Termination handler.

Definition at line 25 of file radius_status.cc.

References isc::radius::RadiusStatus::RadiusStatus(), isc::radius::RadiusImpl::auth_, isc::radius::Exchange::create(), isc::radius::RadiusStatus::exchange_, isc::radius::RadiusImpl::instance(), invokeCallback(), isc::radius::PW_STATUS_SERVER, and isc::radius::RadiusImpl::retries_.

Here is the call graph for this function:

## ◆ ~RadiusAuthStatus()

virtual isc::radius::RadiusAuthStatus::~RadiusAuthStatus | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ invokeCallback()

void isc::radius::RadiusAuthStatus::invokeCallback | ( | const CallbackStatus & | callback,
|  | const ExchangePtr | exchange )
| static

Invoke access status callback.

Parameters

  callback | Termination callback.
  exchange | the exchange.

Definition at line 59 of file radius_status.cc.

References isc::radius::exchangeRCtoText(), isc::radius::RadiusImpl::instance(), LOG_DEBUG, LOG_ERROR, isc::radius::msgCodeToText(), isc::radius::OK_RC, isc::radius::PW_ACCESS_ACCEPT, isc::radius::PW_ERROR_CAUSE, isc::radius::RADIUS_AUTHENTICATION_STATUS_ERROR, isc::radius::RADIUS_AUTHENTICATION_STATUS_FAILED, isc::radius::RADIUS_AUTHENTICATION_STATUS_SUCCEED, isc::radius::RADIUS_DBG_TRACE, isc::radius::radius_logger, isc::radius::RadiusImpl::setAccessIdleTimer(), and isc::radius::RadiusImpl::unregisterExchange().

Referenced by RadiusAuthStatus().

Here is the call graph for this function:

## ◆ start()

void isc::radius::RadiusAuthStatus::start | ( |  | ) |
| overridevirtual

Start communication.

Reimplemented from isc::radius::RadiusStatus.

Definition at line 46 of file radius_status.cc.

References isc::radius::RadiusStatus::exchange_, LOG_DEBUG, isc::radius::RADIUS_AUTHENTICATION_STATUS, isc::radius::RADIUS_DBG_TRACE, isc::radius::radius_logger, and isc::radius::RadiusStatus::start().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- radius_status.h
- radius_status.cc